# List available regions Lists all regions for numbers provided for the project ID. Endpoint: GET /v1/projects/{projectId}/availableRegions Version: 1.0.3 Security: Basic, OAuth2.0 ## Path parameters: - `projectId` (string, required) Found on your Sinch Customer Dashboard. Settings > Projects. Example: "YOUR_projectId" ## Query parameters: - `types` (array) Only return regions for which numbers are provided with the given types: MOBILE, LOCAL or TOLL_FREE. - MOBILE: Numbers that belong to a specific range. - LOCAL: Numbers that are assigned to a specific geographic region. - TOLL_FREE: Number that are free of charge for the calling party but billed for all arriving calls. If you want to see all results, do not add the types query parameter. Enum: "MOBILE", "LOCAL", "TOLL_FREE" ## Response 200 fields (application/json): - `availableRegions` (array) - `availableRegions.regionCode` (string) ISO 3166-1 alpha-2 country code of the phone number. Example: US, GB or SE. Example: "US" - `availableRegions.regionName` (string) Display name of the region. Examples: United States, United Kingdom or Sweden. Example: "United States" - `availableRegions.types` (array) A list of the different number types available. Examples: MOBILE or LOCAL. Enum: "MOBILE", "LOCAL", "TOLL_FREE" ## Response 400 fields (application/json): - `error` (object) - `error.code` (integer) Enum: 400 - `error.message` (string) - `error.status` (string) Enum: "INVALID_ARGUMENT" - `error.details` (array) - `error.details.type` (string) Enum: "BadRequest" - `error.details.fieldViolations` (array) - `error.details.fieldViolations.field` (string) - `error.details.fieldViolations.description` (string) ## Response 404 fields (application/json): - `error` (object) - `error.code` (integer) Enum: 404 - `error.message` (string) - `error.status` (string) Enum: "NOT_FOUND" - `error.details` (array) - `error.details.type` (string) - `error.details.resourceType` (string) The type of the resource that was not found. - `error.details.resourceName` (string) The name of the resource that was not found. - `error.details.owner` (string) The owner of the resource that was not found. - `error.details.description` (string) A description of the error. ## Response 500 fields (application/json): - `error` (object) - `error.code` (integer) Enum: 500 - `error.message` (string) - `error.status` (string) Enum: "INTERNAL", "UNKNOWN" - `error.details` (array)